package tilestest;

import java.lang.Exception;
import java.util.ArrayList;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.tiles.ComponentContext;

public class ScheduleAction extends Action  {

  public ActionForward execute(
         ActionMapping      mapping, ActionForm          form,
         HttpServletRequest req,     HttpServletResponse res   )
                                                      throws Exception  {
    if ( form instanceof ScheduleForm )  {
      ScheduleForm sf = (ScheduleForm)form;
      if ( sf.getDate() == null ||  sf.getTime() == null )  {
        return mapping.findForward( "success" );
      }
      HttpSession session = req.getSession();
      ArrayList schedule = (ArrayList)session.getAttribute( "schedule" );
      if ( schedule == null )  schedule = new ArrayList();
      schedule.add( new ScheduleRecord( sf ) );
      session.setAttribute( "schedule", schedule );
    }
    return mapping.findForward( "success" );
  }
}