package tilestest;

import java.lang.Exception;
import java.util.ArrayList;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.tiles.ComponentContext;

public class ToDoAction extends Action  {

  public ActionForward execute(
         ActionMapping      mapping, ActionForm          form,
         HttpServletRequest req,     HttpServletResponse res   )
                                                      throws Exception  {
    if ( form instanceof ToDoForm )  {
      ToDoForm tf = (ToDoForm)form;
      if ( tf.getDate() == null )  {
        return mapping.findForward( "success" );
      }
      HttpSession session = req.getSession();
      ArrayList todo = (ArrayList)session.getAttribute( "todo" );
      if ( todo == null )  todo = new ArrayList();
      todo.add( new ToDoRecord( tf ) );
      session.setAttribute( "todo", todo );
    }
    return mapping.findForward( "success" );
  }
}